/* Container Mobile First (Column Layout) */
.kf-resources-cta {
    display: flex;
    flex-direction: column;
    gap: 0px;
    width: 100%;
    margin: 0 auto;
    /* Max width calculates: 622 + 374 + 374 + (24 * 2) = 1418 */
    max-width: 1418px; 
    box-sizing: border-box;
}

/* Base Card Styles */
.kf-resources-cta__card {
    --padding-x: 33px;
    --padding-y: 33px;
    --border-radius: 60px;
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    width: 100%;
    padding: var(--padding-y) var(--padding-x);
    border-radius: var(--border-radius);
    box-sizing: border-box;
    justify-content: flex-start;
    background-color: var(--background-color);

    position: relative;
}

.kf-resources-cta__card--2,
.kf-resources-cta__card--3 {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.kf-resources-cta__card--2::before,
.kf-resources-cta__card--3::before {
    content: "";
    position: absolute;
    left: 0;
    top: calc(var(--border-radius) * -1 + 1px);
    height: calc(var(--border-radius) + 1px);
    width: 100%;
    background-color: var(--background-color);
}

.kf-resources-cta__card--1 {
    z-index: 10;
}

.kf-resources-cta__card--2 {
    z-index: 9;
}

.kf-resources-cta__card--3 {
    z-index: 8;
}

.kf-resources-cta__card-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

/* Typography & Spacing */
.kf-resources-cta__category {
    margin: 0 0 12px 0;
    color: #191919;

    font-family: Degular;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.37;

    box-shadow: 1px 1px 1px 0px #00000001;
}

.kf-resources-cta__title.kf-resources-cta__title {
    margin: 0 0 1.8em 0;
    color: #191919;

    font-family: Degular;
    font-weight: 500;
    font-size: clamp(22px, 15.45px + 2.05vw, 40px);
    line-height: 1.1;

    box-shadow: 1px 1px 1px 0px #00000001;
}

.kf-resources-cta__image {
    width: 100%;
    height: auto;
    aspect-ratio: 5 / 3;
    object-fit: cover;
    border-radius: var(--border-radius);
    display: block;

    margin-left: calc(var(--padding-x) * -1);
    margin-bottom: calc(var(--padding-y) * -1);
    min-width: calc(var(--padding-x) * 2 + 100%);
}

/* Button */
.kf-resources-cta__button-wrap {
    margin-top: auto;
    padding-top: 16px;
}

.kf-resources-cta__image + .kf-resources-cta__button-wrap {
    position: absolute;
    bottom: var(--padding-y);
}

.kf-resources-cta__button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 12px 24px;
    border-radius: 20px;
    background-color: transparent;
    color: #191919;
    text-decoration: none;
    transition: opacity 0.2s ease;

    font-family: Degular;
    font-weight: 500;
    font-size: var(--wp--preset--font-size--default);
    line-height: 1.2;

}

.kf-resources-cta__image + .kf-resources-cta__button-wrap .kf-resources-cta__button {
    background-color: #FFFFFF;
}

.kf-resources-cta__button::after {
    margin: 0 0 -5px 1em;
    transition: transform 0.2s ease;
    content: url('data:image/svg+xml,<svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg"><g clip-path="url(%23clip0_9494_1649)"><g clip-path="url(%23clip1_9494_1649)"><path d="M1.0625 1.0625H16.3503V16.3503" stroke="%23191919" stroke-width="1.0625" stroke-miterlimit="10"/><path d="M16.3503 1.0625L1.0625 16.3503" stroke="%23191919" stroke-width="1.0625" stroke-miterlimit="10"/></g></g><defs><clipPath id="clip0_9494_1649"><rect width="17" height="17" fill="white"/></clipPath><clipPath id="clip1_9494_1649"><rect width="17" height="17" fill="white"/></clipPath></defs></svg>');
}

.kf-resources-cta__button:hover,
.kf-resources-cta__button:focus {
    color: #191919;
    text-decoration: none;
    opacity: .9;
}

.kf-resources-cta__button:hover::after,
.kf-resources-cta__button:focus::after {
    transform: translateX(5px);
}

/* Desktop Row Layout */
@media (min-width: 768px) {
    .kf-resources-cta {
        flex-direction: row;
        align-items: stretch;
    }

    .kf-resources-cta__card {
        --border-radius: 100px;
        --padding-x: 33px;
        --padding-y: 53px;
    }

    .kf-resources-cta__card--1 {
        flex: 0 1 622px;
        max-width: 622px;

        --padding-x: 70px;
    }

    .kf-resources-cta__card--2,
    .kf-resources-cta__card--3 {
        flex: 0 1 374px;
        max-width: 374px;

        border-radius: var(--border-radius);
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

    .kf-resources-cta__card--2::before,
    .kf-resources-cta__card--3::before {
        content: "";
        position: absolute;
        top: 0;
        left: calc(var(--border-radius) * -1 + 1px);
        width: calc(var(--border-radius) + 1px);
        height: 100%;
        background-color: var(--background-color);
    }

    .kf-resources-cta__image {
        aspect-ratio: 7 / 3;
    }
}